- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Create PARAMHASH
  - SetDisabled
  - GroupObj
  - ImmediateParentObj
  - MemberObj
  - id
  - GroupId
  - SetGroupId VALUE
  - MemberId
  - SetMemberId VALUE
  - Via
  - SetVia VALUE
  - ImmediateParentId
  - SetImmediateParentId VALUE
  - Disabled
  - SetDisabled VALUE

# NAME

      RT::CachedGroupMember

# SYNOPSIS

      use RT::CachedGroupMember;

# DESCRIPTION

# METHODS

## Create PARAMHASH

Create takes a hash of values and creates a row in the database:

      'Group' is the "top level" group we're building the cache for. This
      is an RT::Principal object

      'Member' is the RT::Principal  of the user or group we're adding to
      the cache.

      'ImmediateParent' is the RT::Principal of the group that this
      principal belongs to to get here

      int(11) 'Via' is an internal reference to CachedGroupMembers->Id of
      the "parent" record of this cached group member. It should be empty if
      this member is a "direct" member of this group. (In that case, it will
      be set to this cached group member's id after creation)

      This routine should _only_ be called by GroupMember->Create

## SetDisabled

SetDisableds the current CachedGroupMember from the group it's in and cascades the SetDisabled to all submembers. This routine could be completely excised if MySQL supported foreign keys with cascading SetDisableds.

## GroupObj

Returns the RT::Principal object for this group Group

## ImmediateParentObj

Returns the RT::Principal object for this group ImmediateParent

## MemberObj

Returns the RT::Principal object for this group member

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## GroupId

Returns the current value of GroupId. (In the database, GroupId is stored as int(11).)

## SetGroupId VALUE

Set GroupId to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, GroupId will be stored as a int(11).)

## MemberId

Returns the current value of MemberId. (In the database, MemberId is stored as int(11).)

## SetMemberId VALUE

Set MemberId to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, MemberId will be stored as a int(11).)

## Via

Returns the current value of Via. (In the database, Via is stored as int(11).)

## SetVia VALUE

Set Via to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Via will be stored as a int(11).)

## ImmediateParentId

Returns the current value of ImmediateParentId. (In the database, ImmediateParentId is stored as int(11).)

## SetImmediateParentId VALUE

Set ImmediateParentId to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, ImmediateParentId will be stored as a int(11).)

## Disabled

Returns the current value of Disabled. (In the database, Disabled is stored as smallint(6).)

## SetDisabled VALUE

Set Disabled to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Disabled will be stored as a smallint(6).)

← Back to index